org.freeplane.plugin.script.proxy

## Interface Proxy.Icons

- All Superinterfaces:
    Proxy.IconsRO
  Enclosing interface:
    Proxy

      public static interface Proxy.Icons
      extends Proxy.IconsRO

  Node's icons: `node.icons` - read-write.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String name)` adds an icon to a node if an icon for the given key can be found.
    `void` | `addAll(java.util.Collection<java.lang.String> names)`
    `void` | `addAll(Proxy.IconsRO icons)`
    `void` | `addIcon(java.lang.String name)` Deprecated. since 1.2 - use `add(String)` instead.
    `void` | `clear()` removes all icons.
    `boolean` | `remove(int index)` deletes the icon at the given index, returns true if success (icon existed).
    `boolean` | `remove(java.lang.String name)` deletes first occurence of icon with the given name, returns true if success (icon existed).
    `boolean` | `removeIcon(java.lang.String name)` Deprecated. since 1.2 - use `remove(String)` instead.

    - ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.IconsRO

      `contains, getAt, getFirst, getIcons, getUrls, iterator, size`

- - ### Method Detail

    - #### add

          void add(java.lang.String name)

      adds an icon to a node if an icon for the given key can be found. The same icon can be added multiple times.

             println("all available icon keys: " + FreeplaneIconUtils.listStandardIconKeys())
             node.icons.addIcon("button_ok")

      See Also:
        `FreeplaneIconUtils`

    - #### addAll

          void addAll(java.util.Collection<java.lang.String> names)

      Since:
        1.4

    - #### addAll

          void addAll(Proxy.IconsRO icons)

      Since:
        1.4

    - #### addIcon

          void addIcon(java.lang.String name)

      Deprecated. since 1.2 - use `add(String)` instead.

    - #### remove

          boolean remove(int index)

      deletes the icon at the given index, returns true if success (icon existed).

    - #### remove

          boolean remove(java.lang.String name)

      deletes first occurence of icon with the given name, returns true if success (icon existed).

    - #### removeIcon

          boolean removeIcon(java.lang.String name)

      Deprecated. since 1.2 - use `remove(String)` instead.

    - #### clear

          void clear()

      removes all icons.
      Since:
        1.2